VR、ゲーム制作、プログラミング。Unity とか Oculus Rift とか。

2013年6月4日火曜日

[Unity]Monodevelopの.NET Frameworkのバージョンを設定する

C# のデフォルト引数など、C# 4.0 からの機能を MonoDevelop でビルドできるようにするには、MonoDevelop のフレームワークを .NET (Mono) 4.0 に設定する必要があります。(デフォルトでは 3.5?)

設定は MonoDevelop 2.8.2 現在、Project > Assembly-CSharp Options > Build > General > Target framework にあります。


MonoDevelop でビルドできるかどうかと Unity でビルドできるかどうかは関係ないので設定は必須ではありませんが、MonoDevelop でエラーが出ていると気持ち悪いしちょっと不便ですね。

参考 :
MonoDevelopでデフォルトのTarget frameworkをMono.NET 4.0に変更する - Virtual Memory

0 件のコメント:

コメントを投稿